summaryrefslogtreecommitdiffstats
path: root/process_configs.sh
diff options
context:
space:
mode:
authorJustin M. Forbes <jforbes@fedoraproject.org>2021-07-19 22:41:03 -0500
committerJustin M. Forbes <jforbes@fedoraproject.org>2021-07-19 22:41:03 -0500
commitf513b403b05ef868f3e0aa14a4c5e57b6b85661c (patch)
treedd43c42e49bdf515cc73b3d33a81a1114302bf4f /process_configs.sh
parentde2834857385cfea2b32f141e748125f3a20b476 (diff)
downloadkernel-f513b403b05ef868f3e0aa14a4c5e57b6b85661c.tar.gz
kernel-f513b403b05ef868f3e0aa14a4c5e57b6b85661c.tar.xz
kernel-f513b403b05ef868f3e0aa14a4c5e57b6b85661c.zip
kernel-5.13.3-200
* Mon Jul 19 2021 Justin M. Forbes <jforbes@fedoraproject.org> [5.13.3-200] - kernel-5.13.3-0 (Justin M. Forbes) - Don't tag a release as [redhat] (Justin M. Forbes) - platform/x86: amd-pmc: Fix missing unlock on error in amd_pmc_send_cmd() (Yang Yingliang) Resolves: rhbz# Signed-off-by: Justin M. Forbes <jforbes@fedoraproject.org>
Diffstat (limited to 'process_configs.sh')
-rwxr-xr-xprocess_configs.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/process_configs.sh b/process_configs.sh
index 166d4766e..b1e1f4338 100755
--- a/process_configs.sh
+++ b/process_configs.sh
@@ -193,11 +193,11 @@ function commit_new_configs()
fi
echo -n "Checking for new configs in $cfg ... "
- make ARCH="$arch" KCONFIG_CONFIG="$cfgorig" listnewconfig >& .listnewconfig
+ make ARCH="$arch" CROSS_COMPILE=scripts/dummy-tools/ KCONFIG_CONFIG="$cfgorig" listnewconfig >& .listnewconfig
grep -E 'CONFIG_' .listnewconfig > .newoptions
if test -s .newoptions
then
- make ARCH="$arch" KCONFIG_CONFIG="$cfgorig" helpnewconfig >& .helpnewconfig
+ make ARCH="$arch" CROSS_COMPILE=scripts/dummy-tools/ KCONFIG_CONFIG="$cfgorig" helpnewconfig >& .helpnewconfig
parsenewconfigs
fi
rm .newoptions
@@ -227,7 +227,7 @@ function process_configs()
fi
echo -n "Processing $cfg ... "
- make ARCH="$arch" KCONFIG_CONFIG="$cfgorig" listnewconfig >& .listnewconfig
+ make ARCH="$arch" CROSS_COMPILE=scripts/dummy-tools/ KCONFIG_CONFIG="$cfgorig" listnewconfig >& .listnewconfig
grep -E 'CONFIG_' .listnewconfig > .newoptions
if test -n "$NEWOPTIONS" && test -s .newoptions
then
@@ -252,7 +252,7 @@ function process_configs()
rm .listnewconfig
- make ARCH="$arch" KCONFIG_CONFIG="$cfgorig" olddefconfig > /dev/null || exit 1
+ make ARCH="$arch" CROSS_COMPILE=scripts/dummy-tools/ KCONFIG_CONFIG="$cfgorig" olddefconfig > /dev/null || exit 1
echo "# $arch" > "$cfgtmp"
cat "$cfgorig" >> "$cfgtmp"
if test -n "$CHECKOPTIONS"